View Issue Details

IDProjectCategoryView StatusLast Update
0002003WishesPlugins Managerpublic2016-10-01 10:40
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002003: Падение при попытке выгрузить плагин, панель которого открыта
DescriptionХотелось бы чтоб в этом случае панель мирно закрывалась без падений.
Steps To Reproducetmp:
macro:post plugin.unload(@"C:\APPs\FAR\far3\Plugins\TmpPanel\TmpPanel.dll")
TagsNo tags attached.
Build4800

Relationships

has duplicate 0002522 closedDrKnS Far Manager Выгрузка панельного плагина с открытой панелью 
has duplicate 0003315 closedDrKnS Far Manager unload:plugin.dll not close panel 

Activities

JohnDoe

2012-02-06 16:31

updater   bugnote:0008546

После 2433/2434 не падает, но панель остаётся открытой (заголовок пропадает).
И пока панель открыта - невозможно повторно загрузить плагин.
Проверено на TmpPanel.dll

JohnDoe

2012-02-13 17:41

updater   bugnote:0008555

2452 - вроде бы всё в порядке:
После выгрузки панель остаётся открытой, но без заголовка.
Если опять загрузить плагин, то заголовок появляется.
Содержимое панели остаётся нетронутым, и после выгрузки/загрузки плагина можно продолжать им пользоваться.

JohnDoe

2012-02-17 19:38

updater   bugnote:0008609

Last edited: 2012-02-17 19:47

View 2 revisions

2463
unload:FARCmds.dll
Плагин падает, и уносит за собой фар.

JohnDoe

2012-02-20 19:55

updater   bugnote:0008625

2476
Не падает.

P.S.
Не знаю нормально ли, но:
Если выгрузить временную панель, то к содержащимся на ней файлы нельзя обратится.
Т.е. не работают F3/F4/F5...
Но странно что продолжает работать Ctrl-A (свойства).

JohnDoe

2014-05-23 16:59

updater   bugnote:0012427

Last edited: 2014-06-21 18:16

View 2 revisions

3.0.3911, падает (если активна временная панель)
lua:Plugin.Unload(win.GetEnv"FARHOME"..[[\Plugins\TmpPanel\TmpPanel.dll]])

Edit: Дубль 0002522

Issue History

Date Modified Username Field Change
2012-01-27 11:36 JohnDoe New Issue
2012-02-06 16:31 JohnDoe Note Added: 0008546
2012-02-13 17:41 JohnDoe Note Added: 0008555
2012-02-17 19:38 JohnDoe Note Added: 0008609
2012-02-17 19:47 JohnDoe Note Edited: 0008609 View Revisions
2012-02-20 19:55 JohnDoe Note Added: 0008625
2013-02-03 04:31 alexy Severity minor => feature
2014-05-23 16:59 JohnDoe Note Added: 0012427
2014-06-21 18:16 JohnDoe Note Edited: 0012427 View Revisions
2014-06-21 21:39 shmuel Relationship added has duplicate 0002522
2016-10-01 10:39 DrKnS Build => 4800
2016-10-01 10:39 DrKnS Status new => closed
2016-10-01 10:39 DrKnS Assigned To => DrKnS
2016-10-01 10:39 DrKnS Resolution open => fixed
2016-10-01 10:39 DrKnS Fixed in Version => 3.0
2016-10-01 10:40 DrKnS Relationship added has duplicate 0003315